# Vermilion and Sunset Rockfishes 2021; Southern California
# E.J. Dick, NMFS/SWFSC, edward.dick@noaa.gov
#V3.30.17.00;_2021_06_11;_fast;_Stock_Synthesis_by_Richard_Methot_(NOAA)_using_ADMB_12.3

0  # 0 means do not read wtatage.ss; 1 means read and use wtatage.ss and also read and use growth parameters
1  #_N_Growth_Patterns (Growth Patterns, Morphs, Bio Patterns, GP are terms used interchangeably in SS)
1 #_N_platoons_Within_GrowthPattern 
#
4 # recr_dist_method for parameters:  2=main effects for GP, Area, Settle timing; 3=each Settle entity; 4=none (only when N_GP*Nsettle*pop==1)
1 # not yet implemented; Future usage: Spawner-Recruitment: 1=global; 2=by area
1 #  number of recruitment settlement assignments 
0 # unused option
#GPattern month  area  age (for each settlement assignment)
1 7 1 0
#
2 #_Nblock_Patterns
1 2 #_blocks_per_pattern 
# begin and end years of blocks
# PATTERN 1
1875 2001 # Multiple regulatory changes around this time (e.g., CCAs, RCAs, MPAs, rec depth restrictions)
# PATTERN 2
1875 2001 2002 2016 # change in depth restrictions for commercial fleets, reflected in COM_HKL length comps
#
# controls for all timevary parameters 
1 #_time-vary parm bound check (1=warn relative to base parm bounds; 3=no bound check); Also see env (3) and dev (5) options to constrain with base bounds
0 0 0 0 1 # autogen: 1st element for biology, 2nd for SR, 3rd for Q, 4th reserved, 5th for selex
#
#_Prior_codes:  0=none; 6=normal; 1=symmetric beta; 2=CASAL's beta; 3=lognormal; 4=lognormal with biascorr; 5=gamma
#
# setup for M, growth, wt-len, maturity, fecundity, (hermaphro), recr_distr, cohort_grow, (movement), (age error), (catch_mult), sex ratio 
#
0 #_natM_type:_0=1Parm; 1=N_breakpoints;_2=Lorenzen;_3=agespecific;_4=agespec_withseasinterpolate
  #_no additional input for selected M option; read 1P per morph
#
1 # GrowthModel: 1=vonBert with L1&L2; 2=Richards with L1&L2; 3=age_specific_K_incr; 4=age_specific_K_decr; 5=age_specific_K_each; 6=NA; 7=NA; 8=growth cessation
0 #_Age(post-settlement)_for_L1;linear growth below this
30 #_Growth_Age_for_L2 (999 to use as Linf)
0.1 #_exponential decay for growth above maxage (value should approx initial Z; -999 replicates 3.24; -998 to not allow growth above maxage)
0  #_placeholder for future growth feature
#
0 #_SD_add_to_LAA (set to 0.1 for SS2 V1.x compatibility)
1 #_CV_Growth_Pattern:  0 CV=f(LAA); 1 CV=F(A); 2 SD=F(LAA); 3 SD=F(A); 4 logSD=F(A)
#
1 #_maturity_option:  1=length logistic; 2=age logistic; 3=read age-maturity matrix by growth_pattern; 4=read age-fecundity; 5=disabled; 6=read length-maturity
2 #_First_Mature_Age
2 #_fecundity option:(1)eggs=Wt*(a+b*Wt);(2)eggs=a*L^b;(3)eggs=a*Wt^b; (4)eggs=a+b*L; (5)eggs=a+b*W
0 #_hermaphroditism option:  0=none; 1=female-to-male age-specific fxn; -1=male-to-female age-specific fxn
2 #_parameter_offset_approach for M, G, CV_G:  1- direct, no offset; 2- male=fem_parm*exp(male_parm); 3: male=female*exp(parm) then old=young*exp(parm)
#
###########
# FEMALES #
###########
#     LO        HI      INIT     PRIOR  PR_SD  PR_type  PHASE env_var dev_link dev_minyr dev_maxyr dev_PH Block Block_Fxn
# natural mortality; ln(5.4/54) = -2.302585
   0.001       0.4      0.12   -2.3026  0.438        3      2       0        0         0         0      0     0         0 # NatM_p_1_Fem_GP_1
# length-at-age
       4        12         9         9   1000        0      2       0        0         0         0      0     0         0 # L_at_Amin_Fem_GP_1
      50        58        53        53   1000        0      2       0        0         0         0      0     0         0 # L_at_Amax_Fem_GP_1
    0.12      0.22      0.15      0.15   1000        0      2       0        0         0         0      0     0         0 # VonBert_K_Fem_GP_1
    0.05      0.20      0.10      0.10   1000        0      2       0        0         0         0      0     0         0 # CV_young_Fem_GP_1
    0.05      0.20      0.10      0.10   1000        0      2       0        0         0         0      0     0         0 # CV_old_Fem_GP_1
# weight-length
1.744E-05 1.744E-05 1.744E-05 1.744E-05  1000        0     -2       0        0         0         0      0     0         0 # Wtlen_1_Fem
       1         3     2.995     2.995   1000        0     -2       0        0         0         0      0     0         0 # Wtlen_2_Fem
# maturity ogive
    38.4      38.4      38.4      38.4   1000        0     -2       0        0         0         0      0     0         0 # Mat50%_Fem
    -0.4      -0.2    -0.312    -0.312   1000        0     -2       0        0         0         0      0     0         0 # Mat_slope_Fem
# fecundity F=aL^b; 'a' is scaled so spawning output has units of millions of eggs
       0         1   2.8e-09   2.8e-09   1000        0     -2       0        0         0         0      0     0         0 # 'a' in F=a*L^b
       3         6      4.97      4.97   1000        0     -2       0        0         0         0      0     0         0 # 'b' in F=a*L^b
#########
# MALES # -- M and vB parameters are exponential offsets; offset = ln(Male/Female); Male = Female*exp(offset)
#########
#     LO        HI      INIT     PRIOR  PR_SD  PR_type  PHASE env_var dev_link dev_minyr dev_maxyr dev_PH Block Block_Fxn
# natural mortality
      -2         2         0         0   1000        0     -2       0        0         0         0      0     0         0 # NatM_p_1_Mal_GP_1
# length-at-age (### fix male length at Amin to female value; wants to be lower, but hitting bounds)
      -4         1         0         0   1000        0     -2       0        0         0         0      0     0         0 # L_at_Amin_Mal_GP_1
    -0.5       0.5      -0.1         0   1000        0      2       0        0         0         0      0     0         0 # L_at_Amax_Mal_GP_1
    -0.5         1       0.1         0   1000        0      2       0        0         0         0      0     0         0 # VonBert_K_Mal_GP_1
      -1         1         0         0   1000        0     -2       0        0         0         0      0     0         0 # CV_young_Mal_GP_1
      -1         1         0         0   1000        0      2       0        0         0         0      0     0         0 # CV_old_Mal_GP_1
# weight-length
       0         1 1.744E-05 1.744E-05   1000        0     -2       0        0         0         0      0     0         0 # Wtlen_1_Mal
       1         3     2.995     2.995   1000        0     -2       0        0         0         0      0     0         0 # Wtlen_2_Mal
#
#  Recruitment Distribution  (not needed when recr_dist_method = 4)
#0 0 0 0 0 0 -1 0 0 0 0 0 0 0 # RecrDist_GP_1
#0 0 0 0 0 0 -1 0 0 0 0 0 0 0 # RecrDist_Area_1
#0 0 0 0 0 0 -1 0 0 0 0 0 0 0 # RecrDist_month_1
#  Cohort growth dev base
 1 1 1 1 1 0 -1 0 0 0 0 0 0 0 # CohortGrowDev
#  Movement
#  Age Error from parameters
#  catch multiplier
#  fraction female, by GP
 1e-06 0.999999 0.5 0.5 1 0 -1 0 0 0 0 0 0 0 # FracFemale_GP_1
#_no timevary MG parameters
#_seasonal_effects_on_biology_parms
 0 0 0 0 0 0 0 0 0 0 #_femwtlen1,femwtlen2,mat1,mat2,fec1,fec2,Malewtlen1,malewtlen2,L1,K
#
3 #_Spawner-Recruitment; Options: 1=NA; 2=Ricker; 3=std_B-H; 4=SCAA; 5=Hockey; 6=B-H_flattop; 7=survival_3Parm; 8=Shepherd_3Parm; 9=RickerPower_3parm
0  # 0/1 to use steepness in initial equ recruitment calculation
0  #  future feature:  0/1 to make realized sigmaR a function of SR curvature
#_          LO            HI          INIT         PRIOR         PR_SD       PR_type      PHASE    env-var    use_dev   dev_mnyr   dev_mxyr     dev_PH      Block    Blk_Fxn #  parm_name
             5             9             7             6            99             0          1          0          0          0          0          0          0          0 # SR_LN(R0)
         0.201         0.999          0.72          0.72          0.16             2          4          0          0          0          0          0          0          0 # SR_BH_steep
             0             2           0.5           0.5           0.5             0         -2          0          0          0          0          0          0          0 # SR_sigmaR
            -5             5             0             0             1             0         -2          0          0          0          0          0          0          0 # SR_regime
             0             0             0             0             0             0         -2          0          0          0          0          0          0          0 # SR_autocorr
#
1 #do_recdev:  0=none; 1=devvector (R=F(SSB)+dev); 2=deviations (R=F(SSB)+dev); 3=deviations (R=R0*dev; dev2=R-f(SSB)); 4=like 3 with sum(dev2) adding penalty
1965 # first year of main recr_devs; early devs can preceed this era
2020 # last year of main recr_devs; forecast devs start in following year
4 #_recdev phase 
1 # (0/1) to read 13 advanced options
0 #_recdev_early_start (0=none; neg value makes relative to recdev_start)
4 #_recdev_early_phase
0 #_forecast_recruitment phase (incl. late recr) (0 value resets to maxphase+1)
1 #_lambda for Fcast_recr_like occurring before endyr+1
1962.6   #_last_early_yr_nobias_adj_in_MPD 
1979.8   #_first_yr_fullbias_adj_in_MPD 
2016.9   #_last_yr_fullbias_adj_in_MPD 
2018.4   #_first_recent_yr_nobias_adj_in_MPD 
0.6945  #_max_bias_adj_in_MPD (1.0 to mimic pre-2009 models)
0  #_period of cycles in recruitment (N parms read below)
-5 #min rec_dev
5  #max rec_dev
0  #_read_recdevs
##_end of advanced SR options
#
#Fishing Mortality info 
0.2 # F ballpark value in units of annual_F
-1 # F ballpark year (neg value to disable)
3 # F_Method:  1=Pope; 2=instan. F; 3=hybrid (hybrid is recommended)
3 # max F or harvest rate, depends on F_Method
# no additional F input needed for Fmethod 1
# if Fmethod=2; read overall start F value; overall phase; N detailed inputs to read
# if Fmethod=3; read N iterations for tuning for Fmethod 3
6  # N iterations for tuning F in hybrid method (recommend 3 to 7)
#
#_initial_F_parms; count = 0
#_ LO HI INIT PRIOR PR_SD  PR_type  PHASE
#2011 2052
#
#_Q_setup for fleets with cpue or survey data
#_1:  fleet number
#_2:  link type: (1=simple q, 1 parm; 2=mirror simple q, 1 mirrored parm; 3=q and power, 2 parm; 4=mirror with offset, 2 parm)
#_3:  extra input for link, i.e. mirror fleet# or dev index number
#_4:  0/1 to select extra sd parameter
#_5:  0/1 for biasadj or not
#_6:  0/1 to float
#_   fleet link link_info extra_se biasadj float # fleetname
         4    1         0        0       0     1 # REC_PC_MRFSS
         6    1         0        1       0     1 # REC_PR_CRFS_DOCKSIDE
         8    1         0        0       0     1 # NWFSC_HKL
        #9    1         0        0       0     1 # NWFSC_TWL
        10    1         0        0       0     1 # REC_PC_ONBOARD
     -9999    0         0        0       0     0
#
#_Q_parms(if_any); Qunits_are_ln(q)
# Q PARAMETER LINES ARE REQUIRED, EVEN WHEN USING ANALYTICAL SOLUTION
# extra_se parameter lines only needed when activated (extra_se = 1) above
# LO   HI      INIT  PRIOR  PR_SD  PR_type  PHASE  env-var  use_dev  dev_mnyr  dev_mxyr  dev_PH  Block  Blk_Fxn  #  parm_name
 -15    0        -9      0      1        0     -1        0        0         0         0       0      0        0  #  LnQ_base_REC_PC_MRFSS
 -15    0        -9      0      1        0     -1        0        0         0         0       0      0        0  #  LnQ_base_REC_PR_CRFS_DOCKSIDE
   0  0.4      0.05      0      1        0      1        0        0         0         0       0      0        0  #  Extra_SE_REC_PR_CRFS_DOCKSIDE
 -15    0        -9      0      1        0     -1        0        0         0         0       0      0        0  #  LnQ_base_NWFSC_HKL
# -15    0        -9      0      1        0     -1        0        0         0         0       0      0        0  #  LnQ_base_NWFSC_TWL
 -15    0        -9      0      1        0     -1        0        0         0         0       0      0        0  #  LnQ_base_REC_PC_ONBOARD
#_no timevary Q parameters
#
#_size_selex_patterns
#Pattern:_0;  parm=0; selex=1.0 for all sizes
#Pattern:_1;  parm=2; logistic; with 95% width specification
#Pattern:_5;  parm=2; mirror another size selex; PARMS pick the min-max bin to mirror
#Pattern:_11; parm=2; selex=1.0  for specified min-max population length bin range
#Pattern:_15; parm=0; mirror another age or length selex
#Pattern:_6;  parm=2+special; non-parm len selex
#Pattern:_43; parm=2+special+2;  like 6, with 2 additional param for scaling (average over bin range)
#Pattern:_8;  parm=8; double_logistic with smooth transitions and constant above Linf option
#Pattern:_9;  parm=6; simple 4-parm double logistic with starting length; parm 5 is first length; parm 6=1 does desc as offset
#Pattern:_21; parm=2+special; non-parm len selex, read as pairs of size, then selex
#Pattern:_22; parm=4; double_normal as in CASAL
#Pattern:_23; parm=6; double_normal where final value is directly equal to sp(6) so can be >1.0
#Pattern:_24; parm=6; double_normal with sel(minL) and sel(maxL), using joiners
#Pattern:_25; parm=3; exponential-logistic in size
#Pattern:_27; parm=3+special; cubic spline 
#Pattern:_42; parm=2+special+3; // like 27, with 2 additional param for scaling (average over bin range)
#_discard_options:_0=none;_1=define_retention;_2=retention&mortality;_3=all_discarded_dead;_4=define_dome-shaped_retention
#_Pattern Discard Male Special
       24       0    0       0 # 1 COM_HKL
       15       0    0       1 # 2 COM_TWL (too sparse to estimate, landings are minor component; mirror HKL)
       24       0    0       0 # 3 COM_NET
       24       0    0       0 # 4 REC_PC
       24       0    0       0 # 5 REC_PC_DIS
       24       0    0       0 # 6 REC_PR
       15       0    0       5 # 7 REC_PR_DIS (mirrors REC_PC_DIS)
       24       0    0       0 # 8 NWFSC_HKL
       24       0    0       0 # 9 NWFSC_TWL
       15       0    0       4 # 10 REC_PC_ONBOARD (mirrors REC_PC)
       24       0    0       0 # 11 CDFW_RESEARCH
       24       0    0       0 # 12 EARLY_HKL
#
#_age_selex_patterns
#Pattern:_0; parm=0; selex=1.0 for ages 0 to maxage
#Pattern:_10; parm=0; selex=1.0 for ages 1 to maxage
#Pattern:_11; parm=2; selex=1.0  for specified min-max age
#Pattern:_12; parm=2; age logistic
#Pattern:_13; parm=8; age double logistic
#Pattern:_14; parm=nages+1; age empirical
#Pattern:_15; parm=0; mirror another age or length selex
#Pattern:_16; parm=2; Coleraine - Gaussian
#Pattern:_17; parm=nages+1; empirical as random walk  N parameters to read can be overridden by setting special to non-zero
#Pattern:_41; parm=2+nages+1; // like 17, with 2 additional param for scaling (average over bin range)
#Pattern:_18; parm=8; double logistic - smooth transition
#Pattern:_19; parm=6; simple 4-parm double logistic with starting age
#Pattern:_20; parm=6; double_normal,using joiners
#Pattern:_26; parm=3; exponential-logistic in age
#Pattern:_27; parm=3+special; cubic spline in age
#Pattern:_42; parm=2+special+3; // cubic spline; with 2 additional param for scaling (average over bin range)
#Age patterns entered with value >100 create Min_selage from first digit and pattern from remainder
#_Pattern Discard Male Special
        0       0    0       0 # 1 COM_HKL
        0       0    0       0 # 2 COM_TWL
        0       0    0       0 # 3 COM_NET
        0       0    0       0 # 4 REC_PC
        0       0    0       0 # 5 REC_PC_DIS
        0       0    0       0 # 6 REC_PR
        0       0    0       0 # 7 REC_PR_DIS
        0       0    0       0 # 8 NWFSC_HKL
       11       0    0       0 # 9 NWFSC_TWL
        0       0    0       0 # 10 REC_PC_ONBOARD
        0       0    0       0 # 11 CDFW_RESEARCH
        0       0    0       0 # 12 EARLY_HKL
#
#_LO  HI        INIT   PRIOR PR_SD   PR_type   PHASE   env-var  use_dev   dev_mnyr  dev_mxyr  dev_PH  Block  Blk_Fxn  #  parm_name
# 1   COM_HKL LenSelex (time block for CCA effects)
  15  55        30     30    100     0          2      0        0         0         0         0       2      2   #  SizeSel_PEAK
 -12   0        -9     -9    0.5     0         -2      0        0         0         0         0       0      0   #  SizeSel_TOP
0.05   9         3      3    0.5     0          2      0        0         0         0         0       2      2   #  SizeSel_ASC-WIDTH
0.05   9         8      8    0.5     0         -2      0        0         0         0         0       2      2   #  SizeSel_DSC-WIDTH
 -11  -9       -10    -10    0.5     0         -2      0        0         0         0         0       0      0   #  SizeSel_INIT
 -10  10        10     10    0.5     0         -2      0        0         0         0         0       2      2   #  SizeSel_FINAL
# 2   COM_NET LenSelex (tried domed, but data don't support it; big SEs on descending and final parms)
  10  69        40     40    100     0          2      0        0         0         0         0       0      0   #  SizeSel_PEAK
 -12   0        -6     -6    0.5     0         -2      0        0         0         0         0       0      0   #  SizeSel_TOP
0.05  10         4      4    0.5     0          2      0        0         0         0         0       0      0   #  SizeSel_ASC-WIDTH
0.05  10         8      8    0.5     0         -2      0        0         0         0         0       0      0   #  SizeSel_DSC-WIDTH
 -11  -9       -10    -10    0.5     0         -2      0        0         0         0         0       0      0   #  SizeSel_INIT
 -10  10        10     10    0.5     0         -2      0        0         0         0         0       0      0   #  SizeSel_FINAL
# 3   COM_TWL LenSelex mirrors HKL due to sparse data (minor component of SoCA catch)
# 4   REC_PC LenSelex
  15  40        25     25    100     0          2      0        0         0         0         0       1      2   #  SizeSel_PEAK
 -12   0        -6     -6    0.5     0         -2      0        0         0         0         0       0      0   #  SizeSel_TOP
0.05   9         4      4    0.5     0          2      0        0         0         0         0       1      2   #  SizeSel_ASC-WIDTH
0.05  10         5      5    0.5     0          2      0        0         0         0         0       1      2   #  SizeSel_DSC-WIDTH
 -11  -9       -10    -10    0.5     0         -2      0        0         0         0         0       0      0   #  SizeSel_INIT
 -10  10        -4     -4    0.5     0          2      0        0         0         0         0       1      2   #  SizeSel_FINAL
# 5   REC_PC_DIS LenSelex
  10  30        15     15    100     0          2      0        0         0         0         0       0      0   #  SizeSel_PEAK
 -12   0        -9     -9    0.5     0         -2      0        0         0         0         0       0      0   #  SizeSel_TOP
0.05   9         3      3    0.5     0          2      0        0         0         0         0       0      0   #  SizeSel_ASC-WIDTH
   2   9         5      5    0.5     0          2      0        0         0         0         0       0      0   #  SizeSel_DSC-WIDTH
 -11  -9       -10    -10    0.5     0         -2      0        0         0         0         0       0      0   #  SizeSel_INIT
 -11  -9       -10    -10    0.5     0         -2      0        0         0         0         0       0      0   #  SizeSel_FINAL
# 6   REC_PR LenSelex
  20  40        25     25    100     0          2      0        0         0         0         0       1      2   #  SizeSel_PEAK
 -12   0        -6     -6    0.5     0         -2      0        0         0         0         0       0      0   #  SizeSel_TOP
   2   6         4      4    0.5     0          2      0        0         0         0         0       1      2   #  SizeSel_ASC-WIDTH
   2   9         5      5    0.5     0          2      0        0         0         0         0       1      2   #  SizeSel_DSC-WIDTH
 -11  -9       -10    -10    0.5     0         -2      0        0         0         0         0       0      0   #  SizeSel_INIT
 -10   5        -3     -3    0.5     0          2      0        0         0         0         0       1      2   #  SizeSel_FINAL
# 8   NWFSC_HKL LenSelex
  30  60        40     40    100     0          2      0        0         0         0         0       0      0   #  SizeSel_PEAK
 -12   0        -6     -6    0.5     0         -2      0        0         0         0         0       0      0   #  SizeSel_TOP
   2   9         5      5    0.5     0          2      0        0         0         0         0       0      0   #  SizeSel_ASC-WIDTH
0.05  10        10     10    0.5     0         -2      0        0         0         0         0       0      0   #  SizeSel_DSC-WIDTH
 -11  -9       -10    -10    0.5     0         -2      0        0         0         0         0       0      0   #  SizeSel_INIT
 -11  11        10     10    0.5     0         -2      0        0         0         0         0       0      0   #  SizeSel_FINAL
# 9   NWFSC_TWL LenSelex (forced peak at smallest length bin, estimate final; desc width hits lower bound)
#  12  68        40     40    100     0          2      0        0         0         0         0       0      0        #  SizeSel_LOGIT_INFLEC_NWFSC_TWL (9)
# -60   0       -20    -20    0.5     0          2      0        0         0         0         0       0      0        #  SizeSel_LOGIT_WIDTH_NWFSC_TWL (9)
   8  60         8      8    100     0         -2      0        0         0         0         0       0      0   #  SizeSel_PEAK
 -12   0       -10    -10    0.5     0         -2      0        0         0         0         0       0      0   #  SizeSel_TOP
   2  12        10     10    0.5     0         -2      0        0         0         0         0       0      0   #  SizeSel_ASC-WIDTH
0.05  10      0.05      5    0.5     0         -2      0        0         0         0         0       0      0   #  SizeSel_DSC-WIDTH
   9  11        10     10    0.5     0         -2      0        0         0         0         0       0      0   #  SizeSel_INIT
 -11  10        -5     -1    0.5     0          2      0        0         0         0         0       0      0   #  SizeSel_FINAL
# 11   CDFW_RESEARCH LenSelex
  10  69        40     40    100     0          2      0        0         0         0         0       0      0   #  SizeSel_PEAK
 -12   0        -6     -6    0.5     0         -2      0        0         0         0         0       0      0   #  SizeSel_TOP
0.05   9         4      4    0.5     0          2      0        0         0         0         0       0      0   #  SizeSel_ASC-WIDTH
0.05  10        10     10    0.5     0         -2      0        0         0         0         0       0      0   #  SizeSel_DSC-WIDTH
 -11  -9       -10    -10    0.5     0         -2      0        0         0         0         0       0      0   #  SizeSel_INIT
 -11  11        10     10    0.5     0         -2      0        0         0         0         0       0      0   #  SizeSel_FINAL
# 12   EARLY_HKL LenSelex
  30  60        40     40    100     0          2      0        0         0         0         0       0      0   #  SizeSel_PEAK
 -12   0        -6     -6    0.5     0         -2      0        0         0         0         0       0      0   #  SizeSel_TOP
   2   9         5      5    0.5     0          2      0        0         0         0         0       0      0   #  SizeSel_ASC-WIDTH
0.05  10         3      3    0.5     0          2      0        0         0         0         0       0      0   #  SizeSel_DSC-WIDTH
 -11  -9       -10    -10    0.5     0         -2      0        0         0         0         0       0      0   #  SizeSel_INIT
 -11  11         0      0    0.5     0          2      0        0         0         0         0       0      0   #  SizeSel_FINAL

# 9   NWFSC_TWL AgeSelex (2-parm, min/max ages, excludes age-0 fish only)
   0  70         1      1    100     0         -2      0        0         0         0         0       0      0        #  AgeSel_MIN_AGE_NWFSC_TWL (9)
   0  70        70     70    100     0         -2      0        0         0         0         0       0      0        #  AgeSel_MAX_AGE_NWFSC_TWL (9)
#
# 'SHORT' PARAMETER LINES FOR TIME-BLOCKED PARAMETERS
# COM_HKL forced asymptotic in early block
#_LO	HI	INIT	PRIOR	PR_SD	PR_type	PHASE	#Parm name
  25    65    52       50     100         0     3	# COM_HKL, SizeSel_PEAK, block pattern 1 (1875-2001)
  25    65    52       50     100         0     3	# COM_HKL, SizeSel_PEAK, block pattern 1 (2002-2016)
0.05     9     5        5     100         0     3	# COM_HKL, SizeSel_ASC-WIDTH, block pattern 1 (1875-2001)
0.05     9     5        5     100         0     3	# COM_HKL, SizeSel_ASC-WIDTH, block pattern 1 (2002-2016)
0.05     9     8        8     100         0    -3	# COM_HKL, SizeSel_DSC-WIDTH, block pattern 1 (1875-2001)
0.05     9     8        8     100         0    -3	# COM_HKL, SizeSel_DSC-WIDTH, block pattern 1 (2002-2016)
 -10    10    10       10     100         0    -3   # COM_HKL, SizeSel_FINAL, block pattern 1 (1875-2001)
 -10    10    10       10     100         0    -3   # COM_HKL, SizeSel_FINAL, block pattern 1 (2002-2016)
  10    40    28       25     100         0     3	# REC_PC, SizeSel_PEAK, block pattern 1 (1875-2001)
0.05     9     3        3     100         0     3	# REC_PC, SizeSel_ASC-WIDTH, block pattern 1 (1875-2001)
0.05    10     4        6     100         0     3	# REC_PC, SizeSel_DSC-WIDTH, block pattern 1 (1875-2001)
  -8     9     0        0     100         0     3   # REC_PC, SizeSel_FINAL, block pattern 1 (1875-2001)
  10    40    29       25     100         0     3	# REC_PR, SizeSel_PEAK, block pattern 1 (1875-2001)
0.05     9     4        3     100         0     3	# REC_PR, SizeSel_ASC-WIDTH, block pattern 1 (1875-2001)
0.05    10     6        6     100         0     3	# REC_PR, SizeSel_DSC-WIDTH, block pattern 1 (1875-2001)
  -8     9    -7       -1     100         0    -3   # REC_PR, SizeSel_FINAL, block pattern 1 (1875-2001)
#
0   #  use 2D_AR1 selectivity(0/1)
#
# Tag loss and Tag reporting parameters go next
0  # TG_custom:  0=no read and autogen if tag data exist; 1=read
#
# Input variance adjustments factors: 
#_1=add_to_survey_CV
#_2=add_to_discard_stddev
#_3=add_to_bodywt_CV
#_4=mult_by_lencomp_N
#_5=mult_by_agecomp_N
#_6=mult_by_size-at-age_N
#_7=mult_by_generalized_sizecomp
#Fctr Flt  Var_adj
4	1	0.616366
4	3	1.812792
4	4	0.091397
4	5	0.319694
4	6	0.294871
4	8	0.249718
4	9	0.126740
4	11	0.296175
4	12	0.122478
5	8	0.259077
5	9	0.076616
5	11	0.021111
5	12	0.028222
-9999   1    0  # terminator
#
1 #_maxlambdaphase
1 #_sd_offset; must be 1 if any growthCV, sigmaR, or survey extraSD is an estimated parameter
#
# read changes to default Lambdas (default value is 1.0)
# Like_comp codes:  1=surv; 2=disc; 3=mnwt; 4=length; 5=age; 6=SizeFreq; 7=sizeage; 8=catch; 9=init_equ_catch; 
# 10=recrdev; 11=parm_prior; 12=parm_dev; 13=CrashPen; 14=Morphcomp; 15=Tag-comp; 16=Tag-negbin; 17=F_ballpark; 18=initEQregime
# I filled out the lambda section so it's easier to do leave-one-out analyses
#like_comp fleet  phase  value  sizefreq_method
#_indices
1  4 1 1 1
1  6 1 1 1
1  8 1 1 1
1  9 1 0 1 # NWFSC_TWL index lambda = 0; fitting only to age and length comps
1 10 1 1 1
#_length_comps
4  1 1 1 1
4  3 1 1 1
4  4 1 1 1
4  5 1 1 1
4  6 1 1 1
4  8 1 1 1
4  9 1 1 1
4 11 1 1 1
4 12 1 1 1
#_age_comps
5  8 1 1 1
5  9 1 1 1
5 11 1 1 1
5 12 1 1 1
-9999  1  1  1  1  #  terminator
#
0 # (0/1/2) read specs for more stddev reporting: 0 = skip, 1 = read specs for reporting stdev for selectivity, size, and numbers, 2 = add options for M and Dyn Bzero
# 1 1 -1 5 # Selectivity: (1) 0 to skip or fleet, (2) 1=len/2=age/3=combined, (3) year, (4) N selex bins; NOTE: combined reports in age bins
# 1 5 # Growth: (1) 0 to skip or growth pattern, (2) growth ages; NOTE: does each sex
# 1 -1 5 # Numbers-at-age: (1) 0 or area(-1 for all), (2) year, (3) N ages;  NOTE: sums across morphs
# 5 15 25 35 43 # vector with selex std bins (-1 in first bin to self-generate)
# 1 2 14 26 40 # vector with growth std ages picks (-1 in first bin to self-generate)
# 1 2 14 26 40 # vector with NatAge std ages (-1 in first bin to self-generate)
999

